> For the complete documentation index, see [llms.txt](https://docs.nounspace.com/nounspace-alpha/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nounspace.com/nounspace-alpha/fidgets/layout-fidget.md).

# Layout Fidget

The default layout will be a simple grid, but we intend to open this functionality up to developers down the road to enable more complex and customizable systems for presenting Fidgets.&#x20;

#### Default Grid Layout

\[ */src/fidgets/layout/Grid.tsx* ]

We're leveraging the [React Grid Layout](https://github.com/react-grid-layout/react-grid-layout) library for our default layout and editing capabilities.&#x20;

The settings for the default layout are stored in the Homebase page.\
\[ */src/pages/homebase/index.tsx* ]

```typescriptreact
  const gridDetails: GridLayout = {
    isDraggable: false,
    isResizable: false,
    items: 4,
    cols: 12,
    rowHeight: 70,
    compactType: null,
    preventCollision: true,
    maxRows: 9,
    layout: defaultLayoutData,
  };
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nounspace.com/nounspace-alpha/fidgets/layout-fidget.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
